LECH-GEIC

Gerenciador de Ensino Individualizado por Computador

Como acessar os módulos do LECH-GEIC

Todos os módulos do GEIC são acessados diretamente através da Internet, não sendo necessária a instalação deles em cada computador. Para isso, basta você ter um navegador web atualizado e o plugin Java instalado.

Senha de acesso

O acesso ao GEIC é protegido por meio de nome de usuário e senha. Caso você ainda não esteja cadastrado, entre em contato conosco através do e-mail lechgeic@ufscar.br. Não se esqueça de nos informar, no corpo do e-mail, dados sobre você (nome completo, endereço etc.) e de seu projeto de pesquisa (laboratório associado, nome completo do seu orientador etc.).

Navegador web

Alguns dos navegadores web mais populares são o Mozilla Firefox, Google Chrome, Apple Safari e Microsoft Internet Explorer. Para acessar o site e os módulos do GEIC, recomendamos o uso do navegador Mozilla Firefox.

Plug-in Java

O Plug-in Java permite a conexão entre navegadores web e a plataforma de desenvolvimento Java. Para se certificar de que você possui uma versão instalada, acesse a página de teste do Java ou faça:

O resultado em ambos os sistemas deverá ser parecido com:

      java version "1.7.0_55"
      Java(TM) SE Runtime Environment (build 1.7.0_55-b13)
      Java HotSpot(TM) Client VM (build 24.55-b03, mixed mode, sharing)

Caso essa mensagem não seja exibida, o plug-in Java está ausente ou não está instalado corretamente (geralmente será apresentado um erro do tipo "'java' não é reconhecido" ou "comando não encontrado"). Se a versão for menor que 1.7 é recomendado que você desinstale o plugin e obtenha uma versão mais recente. Para desinstalar o plug-in Java:

Para obter gratuitamente a versão mais recente do plugin-in, acesse o site oficial do Java.

VLC

O programa de vídeo VLC é usado pelo GEIC para a exibição de estímulos de vídeo. Assim, é obrigatório a instalação do VLC mesmo que você não use vídeo nas suas pesquisas. Clique aqui para baixar e instalar a versão mais recente.

Atenção:

Problemas frequentes

Mensagem de erro dizendo que o Java não está atualizado

A Oracle (empresa que desenvolve o Java), Microsoft, Mozilla, Google etc. tem fechado o cerco contra versões do Java desatualizadas. Por isso, é imprescindível que todos tenham em seu computador a última versão do Java 7, que atualmente é o "update 55". Geralmente é preferível desinstalar as versões anteriores do Java e baixar uma nova ao invés de apenas atualizar.

Não é possível executar o GEIC devido a "aplicação bloqueada por definições de segurança"

Isso geralmente é resolvido quando se atualiza o Java, mas se mesmo assim o problema persistir, uma forma de contornar é acessar as configurações do Java (no Windows fica no "Painel de Controle", no Linux fica no comando "ControlPanel"), clicar na aba "Segurança" e baixar o nível de segurança de "Alta" para "Média". Reiterando, isso geralmente não é necessário uma vez que o Java esteja atualizado...

Ao entrar em um módulo, antes de confirmar login e senha, a aplicação fecha

Isso está relacionado ao plugin de vídeo do GEIC. Para resolver, basta instalar uma versão recente do VLC. Duas observações importantes:

  1. a instalação deve ser feita na pasta padrão (basta não alterar isso durante a instalação) e
  2. se o seu Java é versão "64 bits", seu VLC também deve ser "64 bits". Idem para versões "32 bits" (o importante é os dois serem do mesmo tipo). Para saber sobre sua versão do Java, vá até o prompt de comando (Windows) ou console (Linux) e digite "java -version". O download padrão do VLC é "32 bits", mas se você precisar baixar a versão "64 bits", abaixo do botão "Download" clique em "outros sistemas", depois em "VLC para WIndows", depois "VLC 64 bits".

Logotipo do ECCE Logotipo do LINCE Logotipo do TIDIA-Ae logotipo bluedotsoft